#!/bin/bash

echo "und los gehts"
### SSH Verbindungen erlauben
iptables -I INPUT -p tcp --dport 22 -j ACCEPT
iptables -I INPUT -i lo -j ACCEPT
ip6tables -I INPUT -p tcp --dport 22 -j ACCEPT
ip6tables -I INPUT -i lo -j ACCEPT

### Alle nicht erlaubten eingehenden Verbindungen verbieten
iptables -P INPUT DROP
ip6tables -P INPUT DROP

### Webserverbindungen erlauben
iptables -A INPUT -p tcp --dport 80 -j ACCEPT
iptables -A INPUT -p tcp --dport 443 -j ACCEPT
ip6tables -A INPUT -p tcp --dport 80 -j ACCEPT
ip6tables -A INPUT -p tcp --dport 443 -j ACCEPT

### Etablierte Verbindungen erlauben
iptables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
iptables -A OUTPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
ip6tables -A INPUT -m state --state ESTABLISHED,RELATED -j ACCEPT
ip6tables -A OUTPUT -m state --state ESTABLISHED,RELATED -j ACCEPT

echo FERTIG - Nicht vergessen die Regeln zu persistieren wenn diese funktionieren.
echo "iptables-save > /etc/iptables/rules.v4"
echo "ip6tables-save > /etc/iptables/rules.v6"